commit-womb
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[commit-womb] gnumaint mkspotlight


From: Mike Gerwitz
Subject: [commit-womb] gnumaint mkspotlight
Date: Wed, 26 Dec 2018 21:27:24 -0500 (EST)

CVSROOT:        /sources/womb
Module name:    gnumaint
Changes by:     Mike Gerwitz <mikegerwitz>      18/12/26 21:27:24

Modified files:
        .              : mkspotlight 

Log message:
        mkspotlight: Verify packages exist in rec/gnupackages.rec

CVSWeb URLs:
http://cvs.savannah.gnu.org/viewcvs/gnumaint/mkspotlight?cvsroot=womb&r1=1.6&r2=1.7

Patches:
Index: mkspotlight
===================================================================
RCS file: /sources/womb/gnumaint/mkspotlight,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -b -r1.6 -r1.7
--- mkspotlight 26 Sep 2018 23:59:49 -0000      1.6
+++ mkspotlight 27 Dec 2018 02:27:24 -0000      1.7
@@ -1,5 +1,5 @@
 #!/bin/bash
-#
+# $Id: mkspotlight,v 1.7 2018/12/27 02:27:24 mikegerwitz Exp $
 # Spotlight generation script
 #
 #  Copyright (C) 2018 Mike Gerwitz
@@ -52,6 +52,31 @@
 }
 
 
+package-exists()
+{
+  local -r pkg=${1?Missing package name}
+
+  test "$( recsel -ce "package = '$pkg'" rec/gnupackages.rec )" -gt 0
+}
+
+
+validate-pkgs()
+{
+  local line pkg
+
+  while read line; do
+    pkg=${line%%-[0-9-]*}
+
+    if ! package-exists "$pkg"; then
+      echo "# $line ($pkg not found in gnupackages.rec)"
+      continue
+    fi
+
+    echo "$line"
+  done
+}
+
+
 make-release-out()
 {
   local -r last_date="${1?Missing last spotlight date}"
@@ -63,13 +88,9 @@
   # but sometimes they are) so that they can be manually verified
   sed -i 's/^.*\(-alpha\|-beta\)$/#&/' "$releases_out"
 
-  # ignore certain releases (gnurl is part of gnunet and is not its own
-  # project)
-  sed -i 's/^gnurl-/#&/' "$releases_out"
-
   # prepend some useful text (from Brandon's original email); hopefully a
   # lot of this will be automated as time goes on
-  cat - "$releases_out" > "$releases_out.tmp" <<EOF
+  cat - <( validate-pkgs < "$releases_out" ) > "$releases_out.tmp" <<EOF
 # From Brandon:
 # > Edit releases-this-month.gnu.  Normally this entails removing
 # > multiple releases of the same package (just keep the latest one),



reply via email to

[Prev in Thread] Current Thread [Next in Thread]